Retry a write operation
POST
https://api.propexo.com/v1/admin/retry-write/:root_job_idRetry a write operation that failed. Only failed write operations can be retried.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
root_job_id stringrequired
The job ID of the write job retry
Request
This endpoint expects an object.
object
Response
Successful response
successbooleanrequired
Whether the write operation has been queued to be retried.
job_idstringrequired
The new job ID of the write operation that was queued.
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/admin/retry-write/:root_job_id
- cURL
- Node.js
- Python
curl -X POST https://api.propexo.com/v1/admin/retry-write/:root_job_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
const response = await fetch("https://api.propexo.com/v1/admin/retry-write/:root_job_id", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
const data = await response.json();
import requests
response = requests.post(
"https://api.propexo.com/v1/admin/retry-write/:root_job_id",
headers={"Authorization": "Bearer <token>"},
json={},
)
data = response.json()
200 Successful response
{
"success": true,
"job_id": "string"
}